#
# spec file for package libcpuset
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define debug_package_requires libcpuset1 = %{version}-%{release}
Name:           libcpuset
Version:        1.0
Release:        lp150.1.3
Summary:        cpuset processor and memory placement library
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://oss.sgi.com/projects/cpusets/
Source:         ftp://oss.sgi.com/projects/cpusets/download/libcpuset-%{version}.tar.bz2
Patch0:         libcpuset-fix-missing-syscall.diff
Patch1:         libcpuset-rm-cpuonline.diff
Patch2:         bug-514127_libcpuset-cpuset_set_iopt-adds.patch
Patch3:         libcpuset-agnostic-mountpoint.diff
Patch4:         libcpuset-handle-cgroup-mount.diff
Patch5:         libcpuset-robustify-cpuset_pin-cpuset_size-cpuset_where-error-handling.diff
Patch6:         libcpuset-init-buf-2.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libbitmask-devel
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Cpuset System is a processor and memory placement mechanism that
enables a system administrator to confine tasks to running certain
CPUs, and to allocating memory on certain Memory Nodes.  The libcpuset
library provides a convenient 'C' API to cpusets.

%package -n libcpuset1
Summary:        cpuset processor and memory placement library
Group:          Development/Libraries/C and C++

%description -n libcpuset1
The Cpuset System is a processor and memory placement mechanism that
enables a system administrator to confine tasks to running certain
CPUs, and to allocating memory on certain Memory Nodes.  The libcpuset
library provides a convenient 'C' API to cpusets.

%package -n libcpuset-devel
Summary:        cpuset processor and memory placement library
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libcpuset1 = %{version}

%description -n libcpuset-devel
The Cpuset System is a processor and memory placement mechanism that
enables a system administrator to confine tasks to running certain
CPUs, and to allocating memory on certain Memory Nodes.  The libcpuset
library provides a convenient 'C' API to cpusets.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
sed -i -e 's@-Werror@@g' configure.in
autoreconf -fiv
%configure \
  --disable-static \
  --with-pic
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libcpuset1 -p /sbin/ldconfig

%postun -n libcpuset1 -p /sbin/ldconfig

%files -n libcpuset1
%defattr(-,root,root)
%{_libdir}/lib*so.*

%files -n libcpuset-devel
%defattr(-,root,root)
%{_mandir}/man3/*
%{_mandir}/man4/*
%{_includedir}/*
%{_libdir}/lib*so
%{_docdir}/libcpuset/libcpuset.*
%dir %{_docdir}/libcpuset

%changelog
* Wed Jun 15 2016 mgalbraith@suse.com
- Add missing patch.  (SUSE bnc#546310, bnc#984832)
- Patches added by this commit:
  libcpuset-init-buf-2.patch
* Fri May 20 2016 mgalbraith@suse.com
- Fix cpuset_pin()/cpuset_size()/cpuset_where() error handling (SUSE bnc#978841)
  In referenced bnc, the user had too many files open, which led to an
  unhandled failure on the way to cpuset_equal_placement(), where it
  happily segfaulted.  Handle errors instead of simply ignoring them.
- Patches added by this commit:
  libcpuset-robustify-cpuset_pin-cpuset_size-cpuset_where-error-handling.diff
* Fri May 20 2016 mgalbraith@suse.com
- Fix cpuset_pin()/cpuset_size()/cpuset_where() error handling (SUSE bnc#978841)
  In referenced bnc, the user had too many files open, which led to an
  unhandled failure on the way to cpuset_equal_placement(), where it
  happily segfaulted.  Handle errors instead of simply ignoring them.
* Sat Sep  5 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file with spec-cleaner
- Explicit dependencies on autotools
* Mon Feb  9 2015 mgalbraith@suse.com
- Fix cpuset_latestcpu() (SUSE bnc#916803)
  Remove dud patch initialize_buffer.patch
* Tue May 27 2014 mgalbraith@suse.com
- whack duplicate %%patch1 -p1 in .spec
* Tue May 27 2014 mgalbraith@suse.com
- Add missing fixes.
  bug-514127_libcpuset-cpuset_set_iopt-adds.patch (SUSE bnc#514127)
  initialize_buffer.patch (bnc unknown)
  libcpuset-agnostic-mountpoint.diff (SUSE bnc#625079, SUSE bnc#834223)
  libcpuset-handle-cgroup-mount.diff (SUSE bnc#625079, SUSE bnc#834223)
* Thu May  2 2013 crrodriguez@opensuse.org
- Fix build with new automake
* Sun Nov 13 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Wed Apr 15 2009 crrodriguez@suse.de
- use --disable-static
- fix -devel package dependencies
* Wed Jan 28 2009 bwalle@suse.de
- Fix problem that cpunodemap shows wrong number of cpus
  (bnc #468091).
* Wed Oct 22 2008 mrueckert@suse.de
- fix debug_packages_requires define
* Mon Aug  4 2008 bwalle@suse.de
- fix build on platforms that have no __NR_get_mempolicy and/or
  __NR_set_mempolicy system call(s) like s390 by returning -1
  and setting errno to ENOSYS
* Sat Jul 19 2008 bwalle@suse.de
- initial SUSE package (FATE #304274)
